<?php

//
// Sample form to save data.
//
// This example has an extra section for returning to edit_inline().
//

// Request
$save        = isset($_REQUEST['save'])        ? $_REQUEST['save']        : '';
$return_func = isset($_REQUEST['return_func']) ? $_REQUEST['return_func'] : '';

// Parameters
$key  = isset($_REQUEST['key'])  ? $_REQUEST['key']  : '';
$data = isset($_REQUEST['data']) ? $_REQUEST['data'] : '';

////////////////////////////////////////
// Begin
////////////////////////////////////////

$status_msg = $error_msg = '';

if ($save) {
	// Validate input.
	if (! $key) {
		$error_msg = "A key value is required.";
	}
	if (! $data) {
		$error_msg = "A data value is required.";
	}
}

if ($save && ! $error_msg) {
	
	//
	// Create/Replace data record
	//

	$data_saved = true; 	// results of database save

	if ($data_saved) {
		$status_msg = "Data was saved.";
	}
	else {
		$error_msg = "Data was NOT saved. " . $db->error();
	}


	// InlineEditor return
	if ($return_func) {
		// Invoke return function upon return.
		if ($error_msg) {
			$msg = $error_msg;
			$status = 0;
		}
		else {
			$msg = $status_msg;
			$status = 1;
		}

		print <<< EOF
<html>
<head>
<script type="text/javascript">parent.$return_func($status,'$msg');</script>
</head>
<body></body>
</html>
EOF;
		exit;
	}
}

// Get form field values.
if (strlen($data) == 0) {
	// Get data from database
	$data = "Example data";
}

////////////////////////////////////////////////////////////////////////////////
?>
<?php include("header.php"); ?>
<html>
<head>
<title>Example Form Demonstrating Extra Code to Return to InlineEditor</title>
</head>
<body>



<h2>Example Form</h2>

<div class="error"><?php echo $error_msg; ?></div>
<div class="status"><?php echo $status_msg; ?></div>

<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">

<div class="label">Key</div>
<input type="text" name="key" value="<?php echo htmlspecialchars($key); ?>" />

<div class="label">Data.</div>
<textarea name="data" style="width:500px;height:200px;"><?php echo htmlspecialchars($data); ?></textarea>
<div style="text-align:left; margin-top:20px;">
<input type="submit" name="save" value="Save" />
<input type="reset" name="cancel" value="Cancel" onclick="history.go(-1)" />
</div>
</form>
</div>



</body>
</html>
